
TYPO3.Fluid - Feature # 10472

Status: New Priority: Could have
Author: Bastian Waidelich Category: Core
Created: 2010-10-26 Assigned To:
Updated: 2012-10-16 Due date:
Has patch: No
Subject: Fluid Standalone distribution
Description

Create a script that extracts a Fluid version from the current trunk that is usable without TYPO3.
This means, that all dependencies to TYPO3 or Extbase functions have to be worked-around or moved to the distribution.

History
#1 - 2011-05-05 18:32 - Sebastian Kurfuerst
- Tracker changed from Major Feature to Story

#2 - 2011-05-06 11:03 - Sebastian Kurfuerst
- Tracker changed from Story to Feature

#3 - 2011-05-11 00:16 - Benjamin Mack
- Has patch set to No

The following Extbase interfaces/classes are directly used by Fluid.

My feeling is that one needs to have a small subset of Extbase, probably in a separate package, in order to have Fluid running with it. Extbase + Fluid
both take their code from there then.

Tx_Extbase_Object_ObjectManager
Tx_Extbase_Object_ObjectManagerInterface
Tx_Extbase_Persistence_ObjectStorage
Tx_Extbase_MVC_Controller_ControllerContext
Tx_Extbase_Reflection_ObjectAccess
Tx_Extbase_Reflection_Service
Tx_Extbase_Reflection_ClassReflection
Tx_Extbase_Utility_ClassLoader
 View 
Tx_Extbase_MVC_View_ViewInterface
Tx_Extbase_MVC_Web_Routing_UriBuilder
Tx_Extbase_MVC_Controller_FlashMessages Widgets 
Tx_Extbase_Core_Bootstrap
Tx_Extbase_Configuration_ConfigurationManagerInterface
Tx_Extbase_MVC_View_ViewInterface
Tx_Extbase_MVC_Controller_ActionController
Tx_Extbase_MVC_RequestInterface
Tx_Extbase_MVC_ResponseInterface
Tx_Extbase_MVC_Web_RequestBuilder
Tx_Extbase_MVC_Web_Request
Tx_Extbase_MVC_Web_AbstractRequestHandler
Tx_Extbase_MVC_Web_Response
Tx_Extbase_Object_Container_Container
Tx_Extbase_Persistence_ObjectStorage
Tx_Extbase_Persistence_QueryResult
Tx_Extbase_Persistence_ManagerInterface
Tx_Extbase_DomainObject_AbstractDomainObject
Tx_Extbase_Security_Channel_RequestHashService
Tx_Extbase_Utility_Extension
Tx_Extbase_Utility_Localization
Tx_Extbase_Utility_ClassLoader
Tx_Extbase_Validation_PropertyError

#4 - 2012-10-16 15:17 - Bastian Waidelich

See https://github.com/NamelessCoder/fluid for reference
